package net.minecraft.src;

import java.util.List;

public interface ISaveFormat {
	String formatName();

	ISaveHandler getSaveLoader(String var1, boolean var2);

	List getWorldList();

	void flushCache();

	WorldInfo getWorldInfoForWorld(String var1);

	void deleteWorldByDirectory(String var1);

	void renameWorldData(String var1, String var2);

	boolean isOldMapFormat(String var1);

	boolean convertMapFormat(String var1, IProgressUpdate var2);
}
